@import 'src/styles/core';

.navbar {
  position: fixed;
  z-index: 2;
  top: 0;
  left: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: 100vh;
  width: 75px;
  margin: 0;
  padding: 0;
  background-color: $primary-blue;
  transform: translateX(-75px);
  transition: transform .3s;

  @include atMedium {
    width: 120px;
    transform: none;
  }

  &--show {
    transform: translateX(0);

    .navbar__burger {
      left: 5px;

      &--bar1 {
        transform: rotate(-45deg) translate(-9px, 6px);
      }

      &--bar2 {
        opacity: 0;
      }

      &--bar3 {
        transform: rotate(45deg) translate(-8px, -6px);
      }
    }
  }

  &__burger {
    position: absolute;
    top: 0px;
    left: 75px;
    padding: 5px 10px;
    background-color: $primary-blue;
    border-bottom-right-radius: 5px;
    cursor: pointer;

    @include atMedium {
      display: none;
    }

    &--bar1, &--bar2, &--bar3 {
      width: 25px;
      height: 4px;
      background-color: $color-white;
      margin: 6px 0;
      transition: .3s;
    }
  }

  &__item {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 75px;
    width: 100%;
    color: $color-light-grey;
    transition: color .3s, background-color .3s, opacity .3s;

    @include atMedium {
      height: 120px;
    }

    &:hover {
      opacity: .9;
    }

    i {
      font-size: 120%;
      @include atMedium {
        font-size: 200%;
      }
    }

    p {
      margin: 5px 0;
    }
  }

  &--active {
    border-left: 3px solid $primary-azure;
    background-color: $primary-blue-dark;
    color: $color-white;
  }
}
